import { Descriptor } from './descriptors';
import { ServiceIdentifier, BrandedService } from './instantiation';
export declare function registerSingleton<T, Services extends BrandedService[]>(id: ServiceIdentifier<T>, ctor: new (...services: Services) => T, supportsDelayedInstantiation?: boolean): void;
export declare function getSingletonServiceDescriptors(): [ServiceIdentifier<any>, Descriptor<any>][];
